%global srcname neo4j-driver
%global sum The official Neo4j Python driver

Name:           python-%{srcname}
Version:        1.6.0
Release:        2%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
The official Python Neo4j driver that supports Neo4j 3.0 and above

%package -n python2-%{srcname}
Summary:        %{sum}
Requires:       python2-neotime
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
The official Python Neo4j driver that supports Neo4j 3.0 and above


%if 0%{?fedora} || 0%{?rhel} > 7
%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{sum}
Requires:       python3-neotime
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
The official Python Neo4j driver that supports Neo4j 3.0 and above
%endif


%prep
%autosetup -n %{srcname}-%{version}
find ./ -name '*.py' -exec sed -i '/^#!\/usr\/bin\/env python$/d' '{}' ';'

%build
%py2_build
%if 0%{?fedora} || 0%{?rhel} > 7
%py3_build
%endif


%install
%py2_install
%if 0%{?fedora} || 0%{?rhel} > 7
%py3_install
%endif


%files -n python2-%{srcname}
%doc README.rst
%{python2_sitearch}/*

%if 0%{?fedora} || 0%{?rhel} > 7
%files -n python%{python3_pkgversion}-%{srcname}
%doc README.rst
%{python3_sitearch}/*
%endif

%changelog
* Sat Jun 09 2018 mprahl <mprahl@redhat.com> - 1.6.0-2
- Add the dependency on python-neotime
- Drop Python 3 on EPEL7 due to python-neotime dependencies that aren't packaged for Python 3

* Tue May 29 2018 mprahl <mprahl@redhat.com> - 1.6.0-1
- new version

* Mon Apr 02 2018 mprahl <mprahl@redhat.com> - 1.5.3-2
- Fix EPEL build failures

* Thu Mar 29 2018 mprahl <mprahl@redhat.com> - 1.5.3-1
- Initial release
